Bug 1284976 - [abrt] evince: ev_view_window_child_move_with_parent(): evince killed by SIGSEGV
[abrt] evince: ev_view_window_child_move_with_parent(): evince killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6cf9946029cd3095853480a99bf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 10:24 EST by Gustavo Maciel Dias Vieira
Modified: 2016-12-20 11:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:14:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (57.79 KB, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: core_backtrace (16.62 KB, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: dso_list (11.84 KB, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: environ (1.00 KB, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: exploitable (127 bytes, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: maps (58.83 KB, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: mountinfo (3.56 KB, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: open_fds (2.13 KB, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details
File: var_log_messages (300 bytes, text/plain)
2015-11-24 10:24 EST, Gustavo Maciel Dias Vieira
no flags Details

  None (edit)
Description Gustavo Maciel Dias Vieira 2015-11-24 10:24:03 EST
Description of problem:
I've selected "Open a copy..."

Version-Release number of selected component:
evince-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evince '/home/gustavo/pesquisa/mestrado/elizeu.fachini.13/disserta\xc3\xa7\xc3\xa3o/Disserta\xc3\xa7\xc3\xa3o_Elizeu.2015-11-09.pdf'
crash_function: ev_view_window_child_move_with_parent
executable:     /usr/bin/evince
global_pid:     5072
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ev_view_window_child_move_with_parent at ev-view.c:2926
 #1 show_annotation_windows at ev-view.c:3152
 #2 ev_view_draw at ev-view.c:4571
 #3 _gtk_widget_draw_internal at gtkwidget.c:6831
 #5 _gtk_widget_draw_windows at gtkwidget.c:6933
 #6 _gtk_widget_draw at gtkwidget.c:7007
 #7 gtk_container_propagate_draw_internal at gtkcontainer.c:3797
 #8 gtk_container_draw at gtkcontainer.c:3666
 #9 gtk_scrolled_window_draw at gtkscrolledwindow.c:2352
 #10 _gtk_widget_draw_internal at gtkwidget.c:6831

Potential duplicate: bug 1175288
Comment 1 Gustavo Maciel Dias Vieira 2015-11-24 10:24:08 EST
Created attachment 1098235 [details]
File: backtrace
Comment 2 Gustavo Maciel Dias Vieira 2015-11-24 10:24:10 EST
Created attachment 1098236 [details]
File: cgroup
Comment 3 Gustavo Maciel Dias Vieira 2015-11-24 10:24:12 EST
Created attachment 1098237 [details]
File: core_backtrace
Comment 4 Gustavo Maciel Dias Vieira 2015-11-24 10:24:14 EST
Created attachment 1098238 [details]
File: dso_list
Comment 5 Gustavo Maciel Dias Vieira 2015-11-24 10:24:15 EST
Created attachment 1098239 [details]
File: environ
Comment 6 Gustavo Maciel Dias Vieira 2015-11-24 10:24:17 EST
Created attachment 1098240 [details]
File: exploitable
Comment 7 Gustavo Maciel Dias Vieira 2015-11-24 10:24:19 EST
Created attachment 1098241 [details]
File: limits
Comment 8 Gustavo Maciel Dias Vieira 2015-11-24 10:24:21 EST
Created attachment 1098242 [details]
File: maps
Comment 9 Gustavo Maciel Dias Vieira 2015-11-24 10:24:22 EST
Created attachment 1098243 [details]
File: mountinfo
Comment 10 Gustavo Maciel Dias Vieira 2015-11-24 10:24:24 EST
Created attachment 1098244 [details]
File: namespaces
Comment 11 Gustavo Maciel Dias Vieira 2015-11-24 10:24:26 EST
Created attachment 1098245 [details]
File: open_fds
Comment 12 Gustavo Maciel Dias Vieira 2015-11-24 10:24:27 EST
Created attachment 1098246 [details]
File: proc_pid_status
Comment 13 Gustavo Maciel Dias Vieira 2015-11-24 10:24:29 EST
Created attachment 1098247 [details]
File: var_log_messages
Comment 14 Gustavo Maciel Dias Vieira 2015-11-24 10:33:58 EST
Another user experienced a similar problem:

Selected "Open a copy"

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evince '/home/gustavo/pesquisa/mestrado/elizeu.fachini.13/disserta\xc3\xa7\xc3\xa3o/Disserta\xc3\xa7\xc3\xa3o_Elizeu.2015-11-09.pdf'
crash_function: ev_view_window_child_move_with_parent
executable:     /usr/bin/evince
global_pid:     2669
kernel:         4.2.6-300.fc23.x86_64
package:        evince-3.18.0-1.fc23
reason:         evince killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 15 Gustavo Maciel Dias Vieira 2016-02-23 08:00:34 EST
Similar problem has been detected:

Whem using the "Open a new copy" menu option, when viewing a document and making annotations. It may be related to the annotations.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        evince '/home/gustavo/pesquisa/bancas/2016.qualifica\xc3\xa7\xc3\xa3o.mestrado.andr\xc3\xa9.souza.pdf'
crash_function: ev_view_window_child_move_with_parent
executable:     /usr/bin/evince
global_pid:     19689
kernel:         4.3.5-300.fc23.x86_64
package:        evince-3.18.2-3.fc23
reason:         evince killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 16 Fedora Admin XMLRPC Client 2016-10-14 04:08:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Eike Rathke 2016-11-02 14:02:16 EDT
Can reproduce with evince-3.20.1-4.fc24 *if* I opened an annotation before invoking Copy. Upstream master 3.22.0 *sometimes* crashes, but with a completely different backtrace involving glib and gtk+-3 symbols as the top 10, no ev_*
Comment 18 Eike Rathke 2016-11-02 14:05:40 EDT
(In reply to Eike Rathke from comment #17)
> evince-3.20.1-4.fc24
Should had been evince-3.20.1-2.fc24 of course..
Comment 19 Fedora End Of Life 2016-11-24 08:41:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2016-12-20 11:14:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.